Bug 1309386 - python-pymod2pkg: Provide a Python 3 subpackage
python-pymod2pkg: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-pymod2pkg (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: hguemar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
  Show dependency treegraph
 
Reported: 2016-02-17 11:22 EST by Petr Viktorin
Modified: 2016-07-29 07:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-29 07:45:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add Python 3 & update version patch for specfile (3.28 KB, patch)
2016-06-13 10:17 EDT, Dominika Krejčí
no flags Details | Diff
add Python 3 & update to 0.5.2 (3.17 KB, patch)
2016-07-27 09:00 EDT, Dominika Krejčí
no flags Details | Diff

  None (edit)
Description Petr Viktorin 2016-02-17 11:22:54 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Jan Kurik 2016-02-24 10:25:09 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Dominika Krejčí 2016-06-13 10:17 EDT
Created attachment 1167505 [details]
add Python 3 & update version patch for specfile

Hi Jakub,
here is the change needed to add Python 3 support and update to the latest version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14473069

Also tested in Mock (fedora-23-x86_64, fedora-24-x86_64, fedora-rawhide-i386, fedora-rawhide-x86_64).
Comment 3 hguemar 2016-06-23 13:12:18 EDT
Jakub is in PTO, I'll take care of fixing it.
Comment 4 Dominika Krejčí 2016-07-27 09:00 EDT
Created attachment 1184648 [details]
add Python 3 & update to 0.5.2

Hi,
there is a new patch for the latest version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15035670
Comment 5 hguemar 2016-07-27 18:38:49 EDT
Sorry, I'm still working on other tickets in the py3 tracker, so I hadn't the time to get to this one.

AFAIK, the patch would create another issue as it ships python3 binary in python2 subpackage. As core dev upstream, I think it's safe to ship python3 as default binary for this project.

I'll rework your patch tomorrow morning.
Comment 6 hguemar 2016-07-29 07:45:47 EDT
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.